Bible Analyzer 5 Linux Beta (Alternate Install)

Issues and Comments on the Current Beta Versions
Tim
Site Admin
Posts: 1085
Joined: Sun Dec 07, 2008 1:14 pm

Bible Analyzer 5 Linux Beta (Alternate Install)

Postby Tim » Sun Jun 28, 2015 9:20 pm

Because of the issue of certain dependencies for Bible Analyzer 5 are only in the latest Ubuntu repositories, and not in the Mint (and others) repository at all, I have compiled a deb installer that includes all the dependencies. This should allow Bible Analyzer 5 to run on most fairly recent debian type distros.

Having a program carry all its particular library dependencies is actually the preferred method of program distribution on both Windows and Mac systems. Both the Windows and Mac editions of Bible Analyzer contain all the necessary libraries. Linux, however, seems to prefer the libraries be installed in the system folders at program install time instead of the program having its own "sandboxed" copies. But there are drawbacks to this method. One is the situation we are in now with the limited repositories and another; what if the computer doesn't have Internet access?

Anyway, here is a deb with all the libraries, I think. It is a little over twice as large as the previous debs (30MB), but this is about the same size as the Mac package.

http://www.bibleanalyzer.com/files/Bibl ... .0_all.deb

Try it out and see if it installs smoothly and Bible Analyzer will start and run as expected.
Tim Morton
Developer, Bible Analyzer

But to him that worketh not, but believeth on him that justifieth the ungodly, his faith is counted for righteousness. (Rom 4:5 AV)

MPaul
Posts: 152
Joined: Mon Dec 28, 2009 7:38 am
Contact:

Re: Bible Analyzer 5 Linux Beta (Alternate Install)

Postby MPaul » Thu Jul 02, 2015 11:41 am

I tried to install, but a notice came up the packages were substandard in quality and could cause problems for the computer. Here are the details --

intian check results for /home/mpaul/Downloads/Bible-Analyzer_5.0_all.deb:
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/PIL._imaging.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/_codecs_cn.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/_codecs_hk.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/_codecs_iso2022.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/_codecs_jp.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/_codecs_kr.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/_codecs_tw.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/_ctypes.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/_hashlib.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/_multibytecodec.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/_sqlite3.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/_ssl.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/analyzer5
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/audioop.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/bz2.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/datetime.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/espeak.core.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libFLAC.so.8
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libICE.so.6
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libSM.so.6
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libX11.so.6
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libXau.so.6
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libXcomposite.so.1
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libXcursor.so.1
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libXdamage.so.1
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libXdmcp.so.6
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libXext.so.6
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libXfixes.so.3
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libXi.so.6
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libXinerama.so.1
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libXrandr.so.2
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libXrender.so.1
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libXxf86vm.so.1
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libasound.so.2
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libasyncns.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libatk-1.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libbz2.so.1.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libcairo.so.2
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libcrypto.so.1.0.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libdatrie.so.1
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libdbus-1.so.3
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libespeak.so.1
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libexpat.so.1
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libffi.so.6
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libfontconfig.so.1
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libfreetype.so.6
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libgcc_s.so.1
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libgdk-x11-2.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libgdk_pixbuf-2.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libgio-2.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libglib-2.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libgmodule-2.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libgobject-2.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libgraphite2.so.3
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libgstinterfaces-0.10.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libgstreamer-0.10.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libgtk-x11-2.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libharfbuzz.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libjack.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libjbig.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libjpeg.so.8
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libjson-c.so.2
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/liblzma.so.5
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libnotify.so.4
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libogg.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libpango-1.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libpangocairo-1.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libpangoft2-1.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libpcre.so.3
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libpixman-1.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libpng12.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libportaudio.so.2
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libpulse-simple.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libpulse.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libpulsecommon-4.0.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libpython2.7.so.1.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libreadline.so.6
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libselinux.so.1
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libsndfile.so.1
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libsonic.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libsqlite3.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libssl.so.1.0.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libstdc++.so.6
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libthai.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libtiff.so.5
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libtinfo.so.5
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libuuid.so.1
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libvorbis.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libvorbisenc.so.2
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libwrap.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libwx_baseu-3.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libwx_baseu_net-3.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libwx_baseu_xml-3.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libwx_gtk2u_adv-3.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libwx_gtk2u_core-3.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libwx_gtk2u_html-3.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libwx_gtk2u_media-3.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libwx_gtk2u_richtext-3.0.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libxcb-render.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libxcb-shm.so.0
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libxml2.so.2
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/libz.so.1
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/mmap.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/parser.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/pyexpat.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/readline.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/termios.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/wx._combo.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/wx._controls_.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/wx._core_.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/wx._gdi_.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/wx._gizmos.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/wx._html.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/wx._media.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/wx._misc_.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/wx._richtext.so
E: Bible-Analyzer: arch-independent-package-contains-binary-or-object opt/BibleAnalyzer/analyzer5/wx._windows_.so
E: Bible-Analyzer: bad-package-name
E: Bible-Analyzer: package-not-lowercase

RobertRathbone
Posts: 23
Joined: Mon Jul 07, 2014 6:40 pm

Re: Bible Analyzer 5 Linux Beta (Alternate Install)

Postby RobertRathbone » Fri Jul 03, 2015 10:21 am

I've replaced my Kubuntu 15.04 installation with the new Linux Mint 7.2 distro, both to see if that improved my Bible Analyzer experience, as well as to experiment with Cinnamon as a desktop. I then downloaded and installed the Bible Analyzer alternate Linux install, but now BA will not start. Attempting to run it from the command line yields this:

Code: Select all

robert@robert-Inspiron-620:~$ /opt/BibleAnalyzer/analyzer5/analyzer5
3.0.2.0 gtk2 (classic)

/home/robert App dir
/home/robert/Documents/BibleAnalyzer myDocs folder
/home/robert/Documents/BibleAnalyzer all users
/home/robert/Documents/BibleAnalyzer docs modules folder
/home/robert/.config/bibleanalyzer user
Can't read data file: '/usr/lib/i386-linux-gnu/espeak-data/phontab'
Failed to load espeak-data


It appears to be looking for the 32 bit version of eSpeak although I'm running the 64 bit version of Linux Mint. Did you include 32 bit dependencies in the alternate install, and so that's the reason it's looking for the 32 bit eSpeak? Any suggestions?

Thanks,
Robert Rathbone

RobertRathbone
Posts: 23
Joined: Mon Jul 07, 2014 6:40 pm

Re: Bible Analyzer 5 Linux Beta (Alternate Install)

Postby RobertRathbone » Fri Jul 03, 2015 3:47 pm

Never mind, I got it to work. I uninstalled the alternate installer and then installed the normal one after locating and installing the dependencies.

Thanks!
Robert Rathbone

Tim
Site Admin
Posts: 1085
Joined: Sun Dec 07, 2008 1:14 pm

Re: Bible Analyzer 5 Linux Beta (Alternate Install)

Postby Tim » Sat Jul 04, 2015 11:08 am

All the files should be 32bit. The espeak library should have been included. I will look to see. Ideally the full, alternate install will have everything required for Bible Analyzer to run.
Tim Morton
Developer, Bible Analyzer

But to him that worketh not, but believeth on him that justifieth the ungodly, his faith is counted for righteousness. (Rom 4:5 AV)

Alec
Posts: 12
Joined: Mon Oct 12, 2015 8:37 am
Contact:

Re: Bible Analyzer 5 Linux Beta (Alternate Install)

Postby Alec » Thu Oct 15, 2015 12:41 pm

Hi,

Can anyone recommend any pointers for getting Bible Analyzer 5 linux beta (regular or alternate install) to work on Linux Mint 17.2? I've enabled the Vivid repository in Software Sources, then tried a number of different combinations of steps. The furthest I was able to get was the same as RobertRathbone in his comment at Fri Jul 03, 2015 11:21 am - with the same error message:

Can't read data file: '/usr/lib/i386-linux-gnu/espeak-data/phontab'
Failed to load espeak-data

I tried the Windows 5 beta under WINE, but seemed to not be able to download modules. WINE is never my preferred solution anyway, so did not spend any time troubleshooting this.

I like the Bible Analyzer 4 under Linux, but have been quite frustrated with the copy-paste issue, so am keen to get working with BA 5.

Thanks for any help anyone can provide.
Alec

Tim
Site Admin
Posts: 1085
Joined: Sun Dec 07, 2008 1:14 pm

Re: Bible Analyzer 5 Linux Beta (Alternate Install)

Postby Tim » Thu Oct 15, 2015 9:42 pm

It seems espeak is not compatible with the Alternate Install.

Since you have the Vivid repository enabled you should be able to use the normal install deb and it should install the espeak files in the required folder. That is the preferred method. The AI was mainly a test that appears to have failed.

If it still doesn't run try installing espeak yourself.
Tim Morton
Developer, Bible Analyzer

But to him that worketh not, but believeth on him that justifieth the ungodly, his faith is counted for righteousness. (Rom 4:5 AV)

darrel_jw
Posts: 160
Joined: Sun Dec 13, 2015 3:38 am

Re: Bible Analyzer 5 Linux Beta (Alternate Install)

Postby darrel_jw » Mon Sep 19, 2016 5:51 pm

Hi Alec,
I can't speak for Mint 17.2, but can speak for 17.3 and 18. BA installs and runs nicely on 17.3 by doing the following steps in a terminal:

1. sudo add-apt-repository "deb http://cz.archive.ubuntu.com/ubuntu wily main universe"
2. sudo apt-get update
3. sudo apt-get install python-wxgtk3.0

Then install the 5.04 deb package.

Mint 18 changes things just a bit. You do not need to install python-wxgtk3.0 as it is already installed in Linux Mint 18.

BA for Windows 5.x runs beautifully under the latest version of Wine (I use 1.8). The only thing I fight right now is espeak, so I don't have an answer there yet.

BA for Linux runs nicely under any version of Linux that is based on Ubuntu 16.04. You might consider upgrading from Mint 17.2 to 18 since 18 is really quite stable now.

Darrel


Return to “5.3 Beta Testing”

Who is online

Users browsing this forum: No registered users and 1 guest